Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

'<DeferredDeletion(False)> _ 'Foreign key miatt ez nem jó.
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class BankImportHeaderSumDetail
    Inherits BaseObject
    Private _BankImportHeader As BankImportHeader
    Private _BankImportHeaderSum As BankImportHeaderSum
    Private _NoteRow As String 'Sorhoz tartozó közlemény
    Private _AccountNumber As String 'Bankszámla
    Private _PartnerString As String 'Partner azonosítása
    Private _DebitAmount As Double
    Private _CreditAmount As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Property BankImportHeader As BankImportHeader
        Get
            Return _BankImportHeader

        End Get
        Set(value As BankImportHeader)
            SetPropertyValue("BankImportHeader", _BankImportHeader, value)
        End Set
    End Property
    <Association("BankImportHeaderSum-BankImportHeaderSumDetail", GetType(BankImportHeaderSum))> _
    Property BankImportHeaderSum As BankImportHeaderSum
        Get
            Return _BankImportHeaderSum
        End Get
        Set(value As BankImportHeaderSum)
            SetPropertyValue("BankImportHeaderSum", _BankImportHeaderSum, value)
        End Set
    End Property
    <Size(255)> _
    Property NoteRow As String
        Get
            Return _NoteRow
        End Get
        Set(value As String)
            SetPropertyValue("NoteRow", _NoteRow, value)
        End Set
    End Property
    Property AccountNumber As String
        Get
            Return _AccountNumber
        End Get
        Set(value As String)
            SetPropertyValue("AccountNumber", _AccountNumber, value)
        End Set
    End Property
    <Size(255)> _
    Property PartnerString As String
        Get
            Return _PartnerString
        End Get
        Set(value As String)
            SetPropertyValue("PartnerString", _PartnerString, value)
        End Set
    End Property
    Property DebitAmount As Double
        Get
            Return _DebitAmount
        End Get
        Set(value As Double)
            SetPropertyValue("DebitAmount", _DebitAmount, value)
        End Set
    End Property
    Property CreditAmount As Double
        Get
            Return _CreditAmount
        End Get
        Set(value As Double)
            SetPropertyValue("CreditAmount", _CreditAmount, value)
        End Set
    End Property
End Class
